Skip to main content
GET/import/status/

Check import status

You can return the list of all imports. By adding "?import_id=<import_id>" param, you can check a specific import status.

Request​

curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/import/status/?import_id=<import_id>"

Response​

NameDescription
idA unique identifier for your import automatically generated by the User.com app
total_countA number of all users provided in a CSV file
succeededA number of successfully imported users
failedA number of users that haven't been imported due to some error
started_atA DateTime when your import has started
finished_atA DateTime when you import has finished (do not mistake with a DateTime when your users should be created)
rows_with_errorsA list of a maximum first 50 rows that resulted in some error during the import

Response example​

{
"success": true,
"data": {
"id": "ccfa2628-b054-4ac4-8d03-097914b663c8",
"status": "finished",
"total_count": 3,
"succeeded": 3,
"failed": 0,
"started_at": "2025-06-18T13:11:14.645498Z",
"finished_at": "2025-06-18T13:11:15.178206Z",
"author": 1,
"rows_with_errors": []
}
}